#!/usr/bin/env node

var rex = require('rex');
var common = require('common');

var alias = {ls:'list'};
var argv = process.argv.slice(2);

var cmd = function() {
	argv[0] = alias[argv[0]] || argv[0];

	if (argv[0] in {list:1}) {
		return argv.shift();
	}
	return 'resolve';
}();

var onerror = function(err) {
	console.error(err.stack);
};
var onmap = function(map) {
	var ws = 0;

	for (var name in map) {
		ws = Math.max(name.length, ws);
	}

	ws = new Array(ws+2).join(' ');

	for (var name in map) {
		console.log(name+ws.substring(name.length) + '  →    ' + map[name]);
	}	
};


if (cmd === 'list') {
	rex.list(argv.pop() || '.', common.fork(onerror, onmap));
	return;
}